Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 723286 - media-gfx/graphviz-2.42.3 configure error when /bin/sh != bash
Summary: media-gfx/graphviz-2.42.3 configure error when /bin/sh != bash
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: nonbash
  Show dependency tree
 
Reported: 2020-05-15 19:50 UTC by Matt Whitlock
Modified: 2021-04-24 11:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix-configure-bashism.patch (fix-configure-bashism.patch,407 bytes, patch)
2020-05-15 19:50 UTC, Matt Whitlock
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Whitlock 2020-05-15 19:50:25 UTC
Created attachment 639448 [details, diff]
fix-configure-bashism.patch

GraphViz's configure.ac contains a Bashism (use of == operator with test built-in). Thus, configure emits an error when /bin/sh is not Bash. This doesn't cause the build to fail outright, but it may be causing misdetection of features.

if [test "${GCC}" == "yes"]

./configure: 18339: test: yes: unexpected operator

The attached patch removes the Bashism and allows media-gfx/graphviz-2.42.3 to configure without error when /bin/sh is Dash.
Comment 1 Matt Whitlock 2020-08-04 15:25:26 UTC
Problem persists in media-gfx/graphviz-2.44.1. Same patch applies.
Comment 2 Larry the Git Cow gentoo-dev 2021-04-24 11:01:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b762a11ed8579ad0de77bc9f2873026bb3505696

commit b762a11ed8579ad0de77bc9f2873026bb3505696
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-04-24 11:01:04 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-04-24 11:01:04 +0000

    media-gfx/graphviz: Bump to 2.47.1
    
    Bug: https://bugs.gentoo.org/684844
    Closes: https://bugs.gentoo.org/723286
    Closes: https://bugs.gentoo.org/770067
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: David Seifert <soap@gentoo.org>

 media-gfx/graphviz/Manifest                        |   1 +
 .../graphviz/files/graphviz-2.47.1-bashisms.patch  |  12 +
 media-gfx/graphviz/graphviz-2.47.1.ebuild          | 277 +++++++++++++++++++++
 3 files changed, 290 insertions(+)